summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2008-07-15 03:41:38 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2008-07-15 03:41:38 +0000
commit5e6ff4483d8e1b909efd5694a607c6f18c720c07 (patch)
tree39ea63dce23a72496b96ae8511f4789bf3fb5aef /games-rpg/dott/dott-1.ebuild
parentmedia-libs/gphotofs: Whitespace (diff)
downloadsunrise-5e6ff4483d8e1b909efd5694a607c6f18c720c07.tar.gz
sunrise-5e6ff4483d8e1b909efd5694a607c6f18c720c07.tar.bz2
sunrise-5e6ff4483d8e1b909efd5694a607c6f18c720c07.zip
games-rpg/dott: New ebuild for bug 142334
svn path=/sunrise/; revision=6499
Diffstat (limited to 'games-rpg/dott/dott-1.ebuild')
-rw-r--r--games-rpg/dott/dott-1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/games-rpg/dott/dott-1.ebuild b/games-rpg/dott/dott-1.ebuild
new file mode 100644
index 000000000..140a27130
--- /dev/null
+++ b/games-rpg/dott/dott-1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+DESCRIPTION="Day of the Tentacle"
+HOMEPAGE="http://wiki.scummvm.org/index.php/Day_of_the_Tentacle"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.2.0"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+
+ cdrom_get_cds DOTT.EXE
+ einfo "Copying files from CD..."
+ doins ${CDROM_ROOT}/DOTT/MONSTER.SOU \
+ ${CDROM_ROOT}/DOTT/TENTACLE.000 \
+ ${CDROM_ROOT}/DOTT/TENTACLE.001 || die "doins failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" tentacle"
+ doicon "${FILESDIR}/${PN}.png" || die "doicon failed"
+ make_desktop_entry ${PN} "Day of the Tentacle" ${PN}.png
+
+ prepgamesdirs
+}